body {
    margin: 0;
    font-family: 'Segoe UI', Roboto, Helvetica, Arial, sans-serif;
    background-color: #121212; /* Fond très sombre */
    color: white;
}

/* HEADER */
h1 {
    text-align: center;
    padding: 10px;
}

/* KPI */
.cards {
    display: grid;
    grid-template-columns: 1fr;
    gap: 5px;
    padding: 10px;
}

.card {
    background: #1e293b;
    padding: 20px;
    border-radius: 15px;
    text-align: center;
    font-size: 28px;
}

/* CHARTS */
.charts {
    display: grid;
    grid-template-columns: 1fr;
    gap: 15px;
    padding: 10px;
}

.Lasthourcharts,
.charts {
  width: 100%;
  margin: 0;
  padding: 10px;
}

canvas {
  display: block;   /* IMPORTANT */
  margin: 0;
  padding: 0;
  background: #1e293b;
  border-radius: 12px;
}


/* 📱 TABLETTE */
@media (min-width: 600px) {
    .cards {
        grid-template-columns: repeat(3, 1fr);
    }

    .charts {
        grid-template-columns: 1fr 1fr;
    }
}

/* 💻 DESKTOP */
@media (min-width: 1000px) {
    .charts {
        grid-template-columns: 1fr 1fr 1fr;
    }
}

.mini-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr); /* 2 lignes de 3 tuiles */
    gap: 10px;
    margin-top: 15px;
	left:10px;
}

.mini-card {
    background: #1e293b;
    padding: 8px;
    border-radius: 4px;
    text-align: center;
}

.mini-time {
    font-size: 0.75rem;
    color: #ccc;
}

.mini-value {
    font-size: 1.2rem;
    font-weight: bold;
    color: #fff;
}

.mini-unit {
    font-size: 0.6rem;
    margin-left: 2px;
}

.mini-label {
    font-size: 0.6rem;
    text-transform: uppercase;
    color: #888;
}

.mini-chart-container {
  height: 100px;
  width: 100%;
  position: relative;
}

/* On cible le label et le select pour les mettre l'un au dessus de l'autre */
.form-group-station {
    display: flex;
    flex-direction: column; /* Aligne verticalement le texte et le menu */
    align-items: flex-start; /* Aligne tout à gauche */
    margin-top: 15px;
}

.label-station {
    margin-bottom: 5px;
    color: white; /* Pour matcher ton design actuel */

}

.select-station {
    width: 100%;
    height: 40px;
    padding: 8px 12px;
    border-radius: 4px;
    border: 1px solid #ccc;
    box-sizing: border-box;
    
    /* AJOUTE CETTE LIGNE CI-DESSOUS */
    margin-bottom: 25px; 
}




